Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGbkCodec Class Reference

The QGbkCodec class provides conversion to and from the Chinese GBK encoding. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qgb18030codec.h>`

Inherits QGb18030Codec.

List of all member functions.

## Public Members

- QGbkCodec ()

## Detailed Description

The QGbkCodec class provides conversion to and from the Chinese GBK encoding.

GBK, formally the Chinese Internal Code Specification, is a commonly used extension of GB 2312-80. Microsoft Windows uses it under the name code page 936.

The GBK encoding has been superceded by the GB18030 encoding and GB18030 is backward compatible to GBK. For this reason the QGbkCodec class is implemented in terms of the GB18030 codec and uses its 1-byte and 2-byte portion for conversion from and to Unicode.

The QGbkCodec is kept mainly for compatibility reasons with older software.

See also Internationalization with Qt.

## Member Function Documentation

### QGbkCodec::QGbkCodec ()

reimp

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.